package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.BaseDuckInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface IBaseDuckInfoService extends IService<BaseDuckInfo> {
    Result listDuck(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result addDuck(HttpServletRequest httpServletRequest, Map<String,String> paramsMap) throws ParseException;

    Result editDuck(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listDuckById(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);
}
