package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.EnvRegularCallEgg;
import com.huimv.guowei.admin.entity.EnvRegularCallFeeding;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 固定电子秤 服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface IEnvRegularCallEggService extends IService<EnvRegularCallEgg> {
    Result listById(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result addEgg(HttpServletRequest httpServletRequest, Map<String, String> paramsMap) throws ParseException;

    Result updateEgg(HttpServletRequest httpServletRequest,EnvRegularCallEgg egg);

    Result deleteEgg(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);
}
